## lazarus 0.9.28.2

=== Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2009/05/10]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
RUNBATCH=$(COMSPEC) /C
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
else
ifeq ($(strip $(wildcard $(FPC))),)
FPC:=$(firstword $(FPCPROG))
endif
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifneq ($(words $(FPC_COMPILERINFO)),5)
FPC_COMPILERINFO+=$(shell $(FPC) -iSP)
FPC_COMPILERINFO+=$(shell $(FPC) -iTP)
FPC_COMPILERINFO+=$(shell $(FPC) -iSO)
FPC_COMPILERINFO+=$(shell $(FPC) -iTO)
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
TARGETSUFFIX=$(FULL_TARGET)
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifeq ($(OS_TARGET),darwin)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
override PACKAGE_NAME=lazarus
override PACKAGE_VERSION=$(IDEVERSION)
RCPP?=$(strip $(firstword cpp$(SRCEXEEXT)))
LAZARUS_INSTALL_DIR=$(INSTALL_PREFIX)/share/lazarus
INSTALL_MAN_DIR=$(INSTALL_PREFIX)/share/man
ifneq ($(findstring $(OS_TARGET),win32 win64),)
LAZARUS_INSTALL_DIR=C:\lazarus
endif
ifneq ($(findstring $(OS_TARGET),freebsd),)
LAZARUS_INSTALL_DIR=/usr/local/lazarus
endif
ifneq ($(findstring $(OS_TARGET),win32 win64),)
IDEVERSION=$(shell .\tools\install\get_lazarus_version.bat)
else
IDEVERSION=$(shell ./tools/install/get_lazarus_version.sh)
endif
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif
ifeq ($(FULL_TARGET),powerpc-morphos)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif
ifeq ($(FULL_TARGET),powerpc-embedded)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif
ifeq ($(FULL_TARGET),sparc-linux)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif
ifeq ($(FULL_TARGET),sparc-netbsd)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif
ifeq ($(FULL_TARGET),sparc-solaris)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif
ifeq ($(FULL_TARGET),sparc-embedded)
override TARGET_DIRS+=lcl packager/registration ideintf packager components
endif

=== components/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2008/12/22]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
RUNBATCH=$(COMSPEC) /C
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
else
ifeq ($(strip $(wildcard $(FPC))),)
FPC:=$(firstword $(FPCPROG))
endif
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifneq ($(words $(FPC_COMPILERINFO)),5)
FPC_COMPILERINFO+=$(shell $(FPC) -iSP)
FPC_COMPILERINFO+=$(shell $(FPC) -iTP)
FPC_COMPILERINFO+=$(shell $(FPC) -iSO)
FPC_COMPILERINFO+=$(shell $(FPC) -iTO)
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
TARGETSUFFIX=$(FULL_TARGET)
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifeq ($(OS_TARGET),darwin)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),powerpc-morphos)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),powerpc-embedded)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),sparc-linux)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),sparc-netbsd)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),sparc-solaris)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),sparc-embedded)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),x86_64-linux)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),x86_64-freebsd)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),x86_64-darwin)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),x86_64-win64)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),x86_64-embedded)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),arm-linux)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),arm-palmos)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),arm-darwin)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),arm-wince)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),arm-gba)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),arm-nds)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),arm-embedded)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),arm-symbian)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),powerpc64-linux)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),powerpc64-darwin)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),powerpc64-embedded)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),avr-embedded)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),armeb-linux)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),armeb-embedded)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-linux)
override CLEAN_FILES+=$(wildcard ./units/*$(OEXT)) $(wildcard ./units/*$(PPUEXT)) $(wildcard ./units/*$(RSTEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(OEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(PPUEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(RSTEXT)) $(wildcard ./custom/*$(OEXT)) $(wildcard ./custom/*$(PPUEXT)) $(wildcard ./custom/*$(RSTEXT))
endif
ifeq ($(FULL_TARGET),i386-go32v2)

=== examples/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2009/01/13]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
RUNBATCH=$(COMSPEC) /C
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
else
ifeq ($(strip $(wildcard $(FPC))),)
FPC:=$(firstword $(FPCPROG))
endif
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifneq ($(words $(FPC_COMPILERINFO)),5)
FPC_COMPILERINFO+=$(shell $(FPC) -iSP)
FPC_COMPILERINFO+=$(shell $(FPC) -iTP)
FPC_COMPILERINFO+=$(shell $(FPC) -iSO)
FPC_COMPILERINFO+=$(shell $(FPC) -iTO)
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
TARGETSUFFIX=$(FULL_TARGET)
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifeq ($(OS_TARGET),darwin)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
override PACKAGE_NAME=lazarus-examples
override PACKAGE_VERSION=0.9b
ifndef LCL_PLATFORM
ifneq ($(findstring $(OS_TARGET),win32 win64),)
LCL_PLATFORM=win32
else
ifeq ($(OS_TARGET),wince)
LCL_PLATFORM=wince
else
ifeq ($(OS_TARGET),darwin)
LCL_PLATFORM=carbon
else
LCL_PLATFORM=gtk2
endif
endif
endif
export LCL_PLATFORM
endif
ifeq ($(OS_TARGET),win32)
LAZARUS_OPT+= -WG
endif
cleanall: clean
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_UNITS+=hello bitbutton checkbox combobox comdialogs edittest groupbox groupboxnested listboxtest listviewtest loadpicture memotest messagedialogs notebk notebooktest progressbar scrollbar speedtest synedit1 taborder testall toolbar trackbar
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_UNITS+=hello bitbutton checkbox combobox comdialogs edittest groupbox groupboxnested listboxtest listviewtest loadpicture memotest messagedialogs notebk notebooktest progressbar scrollbar speedtest synedit1 taborder testall toolbar trackbar
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_UNITS+=hello bitbutton checkbox combobox comdialogs edittest groupbox groupboxnested listboxtest listviewtest loadpicture memotest messagedialogs notebk notebooktest progressbar scrollbar speedtest synedit1 taborder testall toolbar trackbar
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_UNITS+=hello bitbutton checkbox combobox comdialogs edittest groupbox groupboxnested listboxtest listviewtest loadpicture memotest messagedialogs notebk notebooktest progressbar scrollbar speedtest synedit1 taborder testall toolbar trackbar
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_UNITS+=hello bitbutton checkbox combobox comdialogs edittest groupbox groupboxnested listboxtest listviewtest loadpicture memotest messagedialogs notebk notebooktest progressbar scrollbar speedtest synedit1 taborder testall toolbar trackbar
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_UNITS+=hello bitbutton checkbox combobox comdialogs edittest groupbox groupboxnested listboxtest listviewtest loadpicture memotest messagedialogs notebk notebooktest progressbar scrollbar speedtest synedit1 taborder testall toolbar trackbar
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_UNITS+=hello bitbutton checkbox combobox comdialogs edittest groupbox groupboxnested listboxtest listviewtest loadpicture memotest messagedialogs notebk notebooktest progressbar scrollbar speedtest synedit1 taborder testall toolbar trackbar
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_UNITS+=hello bitbutton checkbox combobox comdialogs edittest groupbox groupboxnested listboxtest listviewtest loadpicture memotest messagedialogs notebk notebooktest progressbar scrollbar speedtest synedit1 taborder testall toolbar trackbar
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_UNITS+=hello bitbutton checkbox combobox comdialogs edittest groupbox groupboxnested listboxtest listviewtest loadpicture memotest messagedialogs notebk notebooktest progressbar scrollbar speedtest synedit1 taborder testall toolbar trackbar
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_UNITS+=hello bitbutton checkbox combobox comdialogs edittest groupbox groupboxnested listboxtest listviewtest loadpicture memotest messagedialogs notebk notebooktest progressbar scrollbar speedtest synedit1 taborder testall toolbar trackbar
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_UNITS+=hello bitbutton checkbox combobox comdialogs edittest groupbox groupboxnested listboxtest listviewtest loadpicture memotest messagedialogs notebk notebooktest progressbar scrollbar speedtest synedit1 taborder testall toolbar trackbar
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_UNITS+=hello bitbutton checkbox combobox comdialogs edittest groupbox groupboxnested listboxtest listviewtest loadpicture memotest messagedialogs notebk notebooktest progressbar scrollbar speedtest synedit1 taborder testall toolbar trackbar
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_UNITS+=hello bitbutton checkbox combobox comdialogs edittest groupbox groupboxnested listboxtest listviewtest loadpicture memotest messagedialogs notebk notebooktest progressbar scrollbar speedtest synedit1 taborder testall toolbar trackbar
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_UNITS+=hello bitbutton checkbox combobox comdialogs edittest groupbox groupboxnested listboxtest listviewtest loadpicture memotest messagedialogs notebk notebooktest progressbar scrollbar speedtest synedit1 taborder testall toolbar trackbar
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_UNITS+=hello bitbutton checkbox combobox comdialogs edittest groupbox groupboxnested listboxtest listviewtest loadpicture memotest messagedialogs notebk notebooktest progressbar scrollbar speedtest synedit1 taborder testall toolbar trackbar
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_UNITS+=hello bitbutton checkbox combobox comdialogs edittest groupbox groupboxnested listboxtest listviewtest loadpicture memotest messagedialogs notebk notebooktest progressbar scrollbar speedtest synedit1 taborder testall toolbar trackbar
endif

=== ide/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2009/01/03]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
RUNBATCH=$(COMSPEC) /C
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
else
ifeq ($(strip $(wildcard $(FPC))),)
FPC:=$(firstword $(FPCPROG))
endif
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifneq ($(words $(FPC_COMPILERINFO)),5)
FPC_COMPILERINFO+=$(shell $(FPC) -iSP)
FPC_COMPILERINFO+=$(shell $(FPC) -iTP)
FPC_COMPILERINFO+=$(shell $(FPC) -iSO)
FPC_COMPILERINFO+=$(shell $(FPC) -iTO)
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
TARGETSUFFIX=$(FULL_TARGET)
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifeq ($(OS_TARGET),darwin)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
override PACKAGE_NAME=lazaruside
override PACKAGE_VERSION=0.9b
RCPP?=$(firstword $(strip $(subst /,$(PATHSEP),$(wildcard $(addsuffix /cpp$(SRCEXEEXT),$(SEARCHPATH))))))
ifndef LCL_PLATFORM
ifneq ($(findstring $(OS_TARGET),win32 win64),)
LCL_PLATFORM=win32
else
ifeq ($(OS_TARGET),darwin)
LCL_PLATFORM=carbon
else
LCL_PLATFORM=gtk2
endif
endif
endif
export LCL_PLATFORM
ifeq ($(OS_TARGET),darwin)
ifneq ($(LCL_PLATFORM),carbon)
LAZARUS_LIBPATHS=-Fl/usr/X11R6/lib -Fl/sw/lib
endif
endif
ifndef LAZARUS_CONFIG_DIR
ifneq ($(findstring $(OS_TARGET),win32 win64),)
LAZARUS_CONFIG_DIR=..
else
LAZARUS_CONFIG_DIR=$(HOME)/.lazarus
endif
endif
export LAZARUS_CONFIG_DIR
LAZARUS_IDE_CONFIG='$(LAZARUS_CONFIG_DIR)/idemake.cfg'
LAZARUS_OPT=$(LAZARUS_LIBPATHS)
BIG_IDE_OPTIONS=-dBigIDE $(LAZARUS_LIBPATHS) \
  -Fu../components/rtticontrols/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/printers/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/printers/design/lib/$(CPU_TARGET)-$(OS_TARGET) \
  -Fu../components/cgi/ide/lib/$(CPU_TARGET)-$(OS_TARGET) \
  -Fu../components/cgi/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/tdbf/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/turbopower_ipro/units/$(CPU_TARGET)-$(OS_TARGET) \
  -Fu../components/turbopower_ipro/design/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/jpeg/lib/$(CPU_TARGET)-$(OS_TARGET) \
  -Fu../components/fpcunit/lib/$(CPU_TARGET)-$(OS_TARGET) \
  -Fu../components/fpcunit/ide/lib/$(CPU_TARGET)-$(OS_TARGET) \
  -Fu../components/projecttemplates/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/sqldb/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/sdf/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/memds/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/tachart/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/jcf2/IdePlugin/lazarus/lib/$(CPU_TARGET)-$(OS_TARGET)
LAZBUILD_OPT=$(LAZARUS_LIBPATHS)
ifneq ($(findstring $(OS_TARGET),win32 win64),)
LAZARUS_OPT+= -WG
BIG_IDE_OPTIONS+= -WG
endif
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif

=== ideintf/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2008/09/11]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
RUNBATCH=$(COMSPEC) /C
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifneq ($(words $(FPC_COMPILERINFO)),5)
FPC_COMPILERINFO+=$(shell $(FPC) -iSP)
FPC_COMPILERINFO+=$(shell $(FPC) -iTP)
FPC_COMPILERINFO+=$(shell $(FPC) -iSO)
FPC_COMPILERINFO+=$(shell $(FPC) -iTO)
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
TARGETSUFFIX=$(FULL_TARGET)
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifeq ($(OS_TARGET),darwin)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
override PACKAGE_NAME=ideintf
override PACKAGE_VERSION=0.9b
ifndef LCL_PLATFORM
ifneq ($(findstring $(OS_TARGET),win32 win64),)
LCL_PLATFORM=win32
else
ifeq ($(OS_TARGET),darwin)
LCL_PLATFORM=carbon
else
LCL_PLATFORM=gtk2
endif
endif
endif
export LCL_PLATFORM
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),powerpc-morphos)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),powerpc-embedded)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),sparc-linux)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),sparc-netbsd)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),sparc-solaris)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),sparc-embedded)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),x86_64-linux)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),x86_64-freebsd)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),x86_64-darwin)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),x86_64-win64)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),x86_64-embedded)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),arm-linux)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),arm-palmos)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),arm-darwin)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),arm-wince)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),arm-gba)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),arm-nds)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),arm-embedded)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),arm-symbian)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),powerpc64-linux)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),powerpc64-darwin)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),powerpc64-embedded)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),avr-embedded)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),armeb-linux)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),armeb-embedded)
override TARGET_UNITS+=allideintf
endif
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_IMPLICITUNITS+=a ActionsEditor ColumnDlg ComponentEditors ComponentReg ComponentTreeView ConfigStorage DBPropEdits FieldsEditor FormEditingIntf FrmSelectProps GraphPropEdits HelpFPDoc HelpHTML HelpIntf IDECommands IDEWindowIntf ImageListEditor LazIDEIntf ListViewPropEdit MacroIntf MaskPropEdit MenuIntf NewItemIntf ObjectInspector ObjInspStrConsts PackageIntf ProjectIntf PropEdits SrcEditorIntf TextTools
endif
ifeq ($(FULL_TARGET),i386-go32v2)

=== lcl/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2008/06/19]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
RUNBATCH=$(COMSPEC) /C
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifneq ($(words $(FPC_COMPILERINFO)),5)
FPC_COMPILERINFO+=$(shell $(FPC) -iSP)
FPC_COMPILERINFO+=$(shell $(FPC) -iTP)
FPC_COMPILERINFO+=$(shell $(FPC) -iSO)
FPC_COMPILERINFO+=$(shell $(FPC) -iTO)
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
TARGETSUFFIX=$(FULL_TARGET)
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifeq ($(OS_TARGET),darwin)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
override PACKAGE_NAME=lcl
override PACKAGE_VERSION=0.9b
ifeq ($(findstring $(OS_TARGET),win32 win64 wince),)
NONWIN32=nonwin32
endif
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),powerpc-morphos)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),powerpc-embedded)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),sparc-linux)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),sparc-netbsd)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),sparc-solaris)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),sparc-embedded)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),x86_64-linux)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),x86_64-freebsd)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),x86_64-darwin)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),x86_64-win64)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),x86_64-embedded)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),arm-linux)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),arm-palmos)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),arm-darwin)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),arm-wince)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),arm-gba)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),arm-nds)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),arm-embedded)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),arm-symbian)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),powerpc64-linux)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),powerpc64-darwin)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),powerpc64-embedded)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),avr-embedded)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),armeb-linux)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),armeb-embedded)
override TARGET_DIRS+=interfaces
endif
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_UNITS+=alllclunits
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_UNITS+=alllclunits
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_UNITS+=alllclunits
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_UNITS+=alllclunits
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_UNITS+=alllclunits
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_UNITS+=alllclunits
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_UNITS+=alllclunits
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_UNITS+=alllclunits
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_UNITS+=alllclunits
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_UNITS+=alllclunits
endif
ifeq ($(FULL_TARGET),i386-netware)

=== packager/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2008/06/19]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
RUNBATCH=$(COMSPEC) /C
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifneq ($(words $(FPC_COMPILERINFO)),5)
FPC_COMPILERINFO+=$(shell $(FPC) -iSP)
FPC_COMPILERINFO+=$(shell $(FPC) -iTP)
FPC_COMPILERINFO+=$(shell $(FPC) -iSO)
FPC_COMPILERINFO+=$(shell $(FPC) -iTO)
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
TARGETSUFFIX=$(FULL_TARGET)
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifeq ($(OS_TARGET),darwin)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
ifeq ($(FULL_TARGET),i386-linux)
override CLEAN_FILES+=$(wildcard *$(OEXT)) $(wildcard *$(PPUEXT)) $(wildcard *$(RSTEXT))$(wildcard ./units/*$(OEXT)) $(wildcard ./units/*$(PPUEXT)) $(wildcard ./units/*$(RSTEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(OEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(PPUEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(RSTEXT))
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override CLEAN_FILES+=$(wildcard *$(OEXT)) $(wildcard *$(PPUEXT)) $(wildcard *$(RSTEXT))$(wildcard ./units/*$(OEXT)) $(wildcard ./units/*$(PPUEXT)) $(wildcard ./units/*$(RSTEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(OEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(PPUEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(RSTEXT))
endif
ifeq ($(FULL_TARGET),i386-win32)
override CLEAN_FILES+=$(wildcard *$(OEXT)) $(wildcard *$(PPUEXT)) $(wildcard *$(RSTEXT))$(wildcard ./units/*$(OEXT)) $(wildcard ./units/*$(PPUEXT)) $(wildcard ./units/*$(RSTEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(OEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(PPUEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(RSTEXT))
endif
ifeq ($(FULL_TARGET),i386-os2)
override CLEAN_FILES+=$(wildcard *$(OEXT)) $(wildcard *$(PPUEXT)) $(wildcard *$(RSTEXT))$(wildcard ./units/*$(OEXT)) $(wildcard ./units/*$(PPUEXT)) $(wildcard ./units/*$(RSTEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(OEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(PPUEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(RSTEXT))
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override CLEAN_FILES+=$(wildcard *$(OEXT)) $(wildcard *$(PPUEXT)) $(wildcard *$(RSTEXT))$(wildcard ./units/*$(OEXT)) $(wildcard ./units/*$(PPUEXT)) $(wildcard ./units/*$(RSTEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(OEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(PPUEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(RSTEXT))
endif
ifeq ($(FULL_TARGET),i386-beos)
override CLEAN_FILES+=$(wildcard *$(OEXT)) $(wildcard *$(PPUEXT)) $(wildcard *$(RSTEXT))$(wildcard ./units/*$(OEXT)) $(wildcard ./units/*$(PPUEXT)) $(wildcard ./units/*$(RSTEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(OEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(PPUEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(RSTEXT))
endif
ifeq ($(FULL_TARGET),i386-haiku)
override CLEAN_FILES+=$(wildcard *$(OEXT)) $(wildcard *$(PPUEXT)) $(wildcard *$(RSTEXT))$(wildcard ./units/*$(OEXT)) $(wildcard ./units/*$(PPUEXT)) $(wildcard ./units/*$(RSTEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(OEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(PPUEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(RSTEXT))
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override CLEAN_FILES+=$(wildcard *$(OEXT)) $(wildcard *$(PPUEXT)) $(wildcard *$(RSTEXT))$(wildcard ./units/*$(OEXT)) $(wildcard ./units/*$(PPUEXT)) $(wildcard ./units/*$(RSTEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(OEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(PPUEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(RSTEXT))
endif
ifeq ($(FULL_TARGET),i386-solaris)
override CLEAN_FILES+=$(wildcard *$(OEXT)) $(wildcard *$(PPUEXT)) $(wildcard *$(RSTEXT))$(wildcard ./units/*$(OEXT)) $(wildcard ./units/*$(PPUEXT)) $(wildcard ./units/*$(RSTEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(OEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(PPUEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(RSTEXT))
endif
ifeq ($(FULL_TARGET),i386-qnx)
override CLEAN_FILES+=$(wildcard *$(OEXT)) $(wildcard *$(PPUEXT)) $(wildcard *$(RSTEXT))$(wildcard ./units/*$(OEXT)) $(wildcard ./units/*$(PPUEXT)) $(wildcard ./units/*$(RSTEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(OEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(PPUEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(RSTEXT))
endif
ifeq ($(FULL_TARGET),i386-netware)
override CLEAN_FILES+=$(wildcard *$(OEXT)) $(wildcard *$(PPUEXT)) $(wildcard *$(RSTEXT))$(wildcard ./units/*$(OEXT)) $(wildcard ./units/*$(PPUEXT)) $(wildcard ./units/*$(RSTEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(OEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(PPUEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(RSTEXT))
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override CLEAN_FILES+=$(wildcard *$(OEXT)) $(wildcard *$(PPUEXT)) $(wildcard *$(RSTEXT))$(wildcard ./units/*$(OEXT)) $(wildcard ./units/*$(PPUEXT)) $(wildcard ./units/*$(RSTEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(OEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(PPUEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(RSTEXT))
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override CLEAN_FILES+=$(wildcard *$(OEXT)) $(wildcard *$(PPUEXT)) $(wildcard *$(RSTEXT))$(wildcard ./units/*$(OEXT)) $(wildcard ./units/*$(PPUEXT)) $(wildcard ./units/*$(RSTEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(OEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(PPUEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(RSTEXT))
endif
ifeq ($(FULL_TARGET),i386-darwin)

=== components/cgi/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2008/09/11]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
RUNBATCH=$(COMSPEC) /C
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifneq ($(words $(FPC_COMPILERINFO)),5)
FPC_COMPILERINFO+=$(shell $(FPC) -iSP)
FPC_COMPILERINFO+=$(shell $(FPC) -iTP)
FPC_COMPILERINFO+=$(shell $(FPC) -iSO)
FPC_COMPILERINFO+=$(shell $(FPC) -iTO)
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
TARGETSUFFIX=$(FULL_TARGET)
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifeq ($(OS_TARGET),darwin)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
override PACKAGE_NAME=cgilaz
override PACKAGE_VERSION=0.1.1
ifndef LCL_PLATFORM
ifeq ($(OS_TARGET),win32)
LCL_PLATFORM=win32
else
ifeq ($(OS_TARGET),win64)
LCL_PLATFORM=win32
else
ifeq ($(OS_TARGET),darwin)
LCL_PLATFORM=carbon
else
LCL_PLATFORM=gtk2
endif
endif
endif
endif
export LCL_PLATFORM
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),powerpc-morphos)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),powerpc-embedded)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),sparc-linux)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),sparc-netbsd)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),sparc-solaris)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),sparc-embedded)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),x86_64-linux)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),x86_64-freebsd)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),x86_64-darwin)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),x86_64-win64)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),x86_64-embedded)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),arm-linux)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),arm-palmos)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),arm-darwin)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),arm-wince)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),arm-gba)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),arm-nds)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),arm-embedded)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),arm-symbian)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),powerpc64-linux)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),powerpc64-darwin)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),powerpc64-embedded)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),avr-embedded)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),armeb-linux)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),armeb-embedded)
override TARGET_UNITS+=cgilaz.pas
endif
ifeq ($(FULL_TARGET),i386-linux)
override CLEAN_FILES+=$(wildcard $(COMPILER_UNITTARGETDIR)/*$(OEXT)) $(wildcard $(COMPILER_UNITTARGETDIR)/*$(PPUEXT)) $(wildcard $(COMPILER_UNITTARGETDIR)/*$(RSTEXT)) $(wildcard $(COMPILER_UNITTARGETDIR)/*.compiled) $(wildcard *$(OEXT)) $(wildcard *$(PPUEXT)) $(wildcard *$(RSTEXT))
endif
ifeq ($(FULL_TARGET),i386-go32v2)

=== components/codetools/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2008/06/19]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
RUNBATCH=$(COMSPEC) /C
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifneq ($(words $(FPC_COMPILERINFO)),5)
FPC_COMPILERINFO+=$(shell $(FPC) -iSP)
FPC_COMPILERINFO+=$(shell $(FPC) -iTP)
FPC_COMPILERINFO+=$(shell $(FPC) -iSO)
FPC_COMPILERINFO+=$(shell $(FPC) -iTO)
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
TARGETSUFFIX=$(FULL_TARGET)
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifeq ($(OS_TARGET),darwin)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
override PACKAGE_NAME=codetools
override PACKAGE_VERSION=1.0
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),powerpc-morphos)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),powerpc-embedded)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),sparc-linux)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),sparc-netbsd)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),sparc-solaris)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),sparc-embedded)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),x86_64-linux)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),x86_64-freebsd)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),x86_64-darwin)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),x86_64-win64)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),x86_64-embedded)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),arm-linux)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),arm-palmos)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),arm-darwin)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),arm-wince)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),arm-gba)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),arm-nds)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),arm-embedded)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),arm-symbian)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),powerpc64-linux)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),powerpc64-darwin)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),powerpc64-embedded)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),avr-embedded)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),armeb-linux)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),armeb-embedded)
override TARGET_UNITS+=allcodetoolunits
endif
ifeq ($(FULL_TARGET),i386-linux)

=== components/fpcunit/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2008/07/12]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
RUNBATCH=$(COMSPEC) /C
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifneq ($(words $(FPC_COMPILERINFO)),5)
FPC_COMPILERINFO+=$(shell $(FPC) -iSP)
FPC_COMPILERINFO+=$(shell $(FPC) -iTP)
FPC_COMPILERINFO+=$(shell $(FPC) -iSO)
FPC_COMPILERINFO+=$(shell $(FPC) -iTO)
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
TARGETSUFFIX=$(FULL_TARGET)
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifeq ($(OS_TARGET),darwin)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
override PACKAGE_NAME=fpcunittestrunner
override PACKAGE_VERSION=0.1
ifndef LCL_PLATFORM
ifeq ($(OS_TARGET),win32)
LCL_PLATFORM=win32
else
ifeq ($(OS_TARGET),win64)
LCL_PLATFORM=win32
else
ifeq ($(OS_TARGET),darwin)
LCL_PLATFORM=carbon
else
LCL_PLATFORM=gtk2
endif
endif
endif
endif
export LCL_PLATFORM
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),powerpc-morphos)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),powerpc-embedded)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),sparc-linux)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),sparc-netbsd)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),sparc-solaris)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),sparc-embedded)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),x86_64-linux)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),x86_64-freebsd)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),x86_64-darwin)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),x86_64-win64)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),x86_64-embedded)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),arm-linux)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),arm-palmos)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),arm-wince)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),arm-gba)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),arm-nds)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),arm-embedded)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),arm-symbian)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),powerpc64-linux)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),powerpc64-darwin)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),powerpc64-embedded)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),i386-linux)
override CLEAN_FILES+=$(wildcard $(COMPILER_UNITTARGETDIR)/*$(OEXT)) $(wildcard $(COMPILER_UNITTARGETDIR)/*$(PPUEXT)) $(wildcard $(COMPILER_UNITTARGETDIR)/*$(RSTEXT)) $(wildcard $(COMPILER_UNITTARGETDIR)/*.compiled) $(wildcard *$(OEXT)) $(wildcard *$(PPUEXT)) $(wildcard *$(RSTEXT))
endif
ifeq ($(FULL_TARGET),i386-go32v2)

=== components/macfiles/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2008/09/11]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
RUNBATCH=$(COMSPEC) /C
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifneq ($(words $(FPC_COMPILERINFO)),5)
FPC_COMPILERINFO+=$(shell $(FPC) -iSP)
FPC_COMPILERINFO+=$(shell $(FPC) -iTP)
FPC_COMPILERINFO+=$(shell $(FPC) -iSO)
FPC_COMPILERINFO+=$(shell $(FPC) -iTO)
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
TARGETSUFFIX=$(FULL_TARGET)
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifeq ($(OS_TARGET),darwin)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
override PACKAGE_NAME=macosfiles
override PACKAGE_VERSION=0.0
ifndef LCL_PLATFORM
ifeq ($(OS_TARGET),win32)
LCL_PLATFORM=win32
else
ifeq ($(OS_TARGET),win64)
LCL_PLATFORM=win32
else
ifeq ($(OS_TARGET),darwin)
LCL_PLATFORM=carbon
else
LCL_PLATFORM=gtk2
endif
endif
endif
endif
export LCL_PLATFORM
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),powerpc-morphos)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),powerpc-embedded)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),sparc-linux)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),sparc-netbsd)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),sparc-solaris)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),sparc-embedded)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),x86_64-linux)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),x86_64-freebsd)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),x86_64-darwin)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),x86_64-win64)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),x86_64-embedded)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),arm-linux)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),arm-palmos)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),arm-darwin)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),arm-wince)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),arm-gba)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),arm-nds)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),arm-embedded)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),arm-symbian)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),powerpc64-linux)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),powerpc64-darwin)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),powerpc64-embedded)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),avr-embedded)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),armeb-linux)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),armeb-embedded)
override TARGET_UNITS+=macosfiles.pas
endif
ifeq ($(FULL_TARGET),i386-linux)
override CLEAN_FILES+=$(wildcard $(COMPILER_UNITTARGETDIR)/*$(OEXT)) $(wildcard $(COMPILER_UNITTARGETDIR)/*$(PPUEXT)) $(wildcard $(COMPILER_UNITTARGETDIR)/*$(RSTEXT)) $(wildcard $(COMPILER_UNITTARGETDIR)/*.compiled) $(wildcard *$(OEXT)) $(wildcard *$(PPUEXT)) $(wildcard *$(RSTEXT))
endif

=== components/memds/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2008/09/11]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
RUNBATCH=$(COMSPEC) /C
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifneq ($(words $(FPC_COMPILERINFO)),5)
FPC_COMPILERINFO+=$(shell $(FPC) -iSP)
FPC_COMPILERINFO+=$(shell $(FPC) -iTP)
FPC_COMPILERINFO+=$(shell $(FPC) -iSO)
FPC_COMPILERINFO+=$(shell $(FPC) -iTO)
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
TARGETSUFFIX=$(FULL_TARGET)
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifeq ($(OS_TARGET),darwin)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
override PACKAGE_NAME=memdslaz
override PACKAGE_VERSION=1.2.1
ifndef LCL_PLATFORM
ifeq ($(OS_TARGET),win32)
LCL_PLATFORM=win32
else
ifeq ($(OS_TARGET),win64)
LCL_PLATFORM=win32
else
ifeq ($(OS_TARGET),darwin)
LCL_PLATFORM=carbon
else
LCL_PLATFORM=gtk2
endif
endif
endif
endif
export LCL_PLATFORM
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),powerpc-morphos)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),powerpc-embedded)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),sparc-linux)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),sparc-netbsd)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),sparc-solaris)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),sparc-embedded)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),x86_64-linux)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),x86_64-freebsd)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),x86_64-darwin)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),x86_64-win64)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),x86_64-embedded)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),arm-linux)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),arm-palmos)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),arm-darwin)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),arm-wince)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),arm-gba)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),arm-nds)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),arm-embedded)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),arm-symbian)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),powerpc64-linux)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),powerpc64-darwin)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),powerpc64-embedded)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),avr-embedded)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),armeb-linux)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),armeb-embedded)
override TARGET_UNITS+=memdslaz.pas
endif
ifeq ($(FULL_TARGET),i386-linux)
override CLEAN_FILES+=$(wildcard $(COMPILER_UNITTARGETDIR)/*$(OEXT)) $(wildcard $(COMPILER_UNITTARGETDIR)/*$(PPUEXT)) $(wildcard $(COMPILER_UNITTARGETDIR)/*$(RSTEXT)) $(wildcard $(COMPILER_UNITTARGETDIR)/*.compiled) $(wildcard *$(OEXT)) $(wildcard *$(PPUEXT)) $(wildcard *$(RSTEXT))
endif
ifeq ($(FULL_TARGET),i386-go32v2)

=== debian/changelog ===
lazarus (0.9.28.2-12) unstable; urgency=low

  * Fixed a bug causing safe-upgrade to fail because lazarus-ide-qt4 is
    installed to fix dependencies of lazarus-ide and that Qt based IDE is not
    packaged. The lazarus-ide-qt4 now installs the GTK based IDE by depending
    on lazarus-ide-gtk until Qt IDE gets packaged. (Closes: Bug#594611)
  * Removed lintian warning by addeing lcl-gtk2 as first alternative for
    lcl-units dependency list.
  * Bumped standard version to 3.9.1.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 30 Aug 2010 13:32:00 +0100

lazarus (0.9.28.2-11) unstable; urgency=low

  * Fixed scrolling window under GTK implementing ScrollBy method.
  * Changed new release scanning to be uscan based.
  * Fixed dependency issue : lcl-units depends on lcl-gtk but was providing it
    causing lcl-gtk2 not being installed. (Closes: Bug#580557, Bug#579128)
  * Fixed logic bug in code tools when adding published field of a class.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 20 Jun 2010 16:53:00 +0100

lazarus (0.9.28.2-10) unstable; urgency=low

  * Fixed memory leak in GTK based lazarus IDE binary  (Closes: Bug#571997)
  * Fixed crach by avoiding trapping some FPU exceptions which occurs in linked
    C code. (Closes: Bug#571998) 

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 09 Apr 2010 00:23:00 +0100

lazarus (0.9.28.2-9) unstable; urgency=low

  * Bumped standard version.
  * Split lazarus-ide package into the following packages in order to reduce
    its size and afford more widgetsets support. (Closes: Bug#553519)
      + lazarus-ide-gtk2 : contains IDE linked to GTK+2 backend
      + lazarus-ide-qt4  : contains IDE linked to Qt4 backend
      + lazarus-ide : contains lazarus launcher and depending on either above
        packges
      + lcl-utils: contains command line tools (lazbuild, ...)
      + lcl-units : contains widgetset independent binary units depending on
        either follwing packages
      + lcl-nogui : contains NOGUI backend based LCL interface units
      + lcl-gtk2 : contains GTK+2 backend based LCL interface untis
      + lcl-qt4 : contains Qt4 backend based LCL interface units
      + lcl : metapackage depending on lcl-units and lcl-utils.
  * Fixed help for FPC identifiers applying a ptch from upstream and filled
    correct FPC source directory. (Closes: Bug#507523)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 15 Mar 2010 20:02:00 +0100

lazarus (0.9.28.2-8) unstable; urgency=low

  * Added dependency on ${misc:Depends} as required for packages using
    debhelper.
  * Removed pre-dependency on dpkg (>= 1.10.24).

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 25 Jan 2010 23:48:00 +0100

lazarus (0.9.28.2-7) unstable; urgency=low

  * Removed image files from sources as these are not used by the code tool.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 07 Jan 2010 19:04:00 +0100

lazarus (0.9.28.2-6) unstable; urgency=low

  * Removed lintian warnings : empty directories in source package.
  * Removed lintian warnings : Fixed spell errors.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 06 Jan 2010 23:05:00 +0100

lazarus (0.9.28.2-5) unstable; urgency=low

  * Included quilt.make in rules file. (Closes: Bug#538553)
  * Build against fpc_2.2.4-5. (Closes: Bug#563236)
  * Removed lintian warnings.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 03 Jan 2010 19:18:00 +0100

lazarus (0.9.28.2-4) unstable; urgency=low

  * Use default X web browser instead of epiphany. 
  * Fixed online help default page URL.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 29 Nov 2009 22:52:00 +0100

lazarus (0.9.28.2-3) unstable; urgency=low

  * Added missing online help default page. (Closes: Bug#537576)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 14 Nov 2009 10:08:00 +0100

lazarus (0.9.28.2-2) unstable; urgency=low

  * Fixed default help configuration.
  * Fixed short description. (Closes: Bug#533420)
  * Put sources back to Lazarus directory.
  * Fixed strict dependency issue of lazarus package on lazarus-ide package
    making package lazarus not installable. (Closes: Bug#555649)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 09 Nov 2009 09:12:00 +0100

lazarus (0.9.28.2-1) unstable; urgency=low

  * Fixed compiling a test application without saving (missing project1.lrs)
  * Fixed Lazarus directory set by deb package 
  * Fixed conflicting key definitions related to persistent block
  * Fixed quick paste selection
  * Fixed endless auto sizing loop when opening project (issue 14862)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 02 Nov 2009 18:54:00 +0100

lazarus (0.9.28-1) unstable; urgency=low

  * Allow Debian maintainers (DM) to upload.
  * Applied patch from BTS fixing short description. (Closes: Bug#533420)
  * Bumped standard version, removed legacy dh_desktop, added README.source and
    fixed dependencies.
  * New upstream version 0.9.28. (Closes: Bug#551724)
  * LCL now uses gtk2 as default widgetset on Linux and BSD
  * Windows CE: Implemented TCalendar, TFloatSpinEdit, TOpenDialog and
    TSaveDialog
  * TFrame support. Visually nesting in the IDE.
  * TMonitor class: multi-monitor support
  * New components: TShellTreeView, TShellListView and TFilterComboBox
  * Refactoring of LCL reduced minimum size of executables by about 15%
  * New IDE options dialog combines environments, editor, codetools, code
    explorer, debugger and help options.
  * Application icon has been added to the Project Options
  * Many source editor improvements like display of "double width" fonts
    (Eastern, Japanese, Chinese, Arabic, ...), better code folding,
    highlighting, syncro editing, persistent blocks ...
  * Codetools: removing empty methods, block completion, update references when
    renaming a unit
  * Debugger: assembler windows, easier exception handling, breakpoint
    properties

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Wed, 25 Oct 2009 11:59:00 +0100



=== debian/control ===
Source: lazarus
Section: devel
Priority: optional
Maintainer: Carlos Laviola <claviola@debian.org>
Uploaders: Torsten Werner <twerner@debian.org>, Abou Al Montacir <abou.almontacir@sfr.fr>
DM-Upload-Allowed: yes
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7), quilt, fpc (>= 2.2.4-3), fpc-source (>= 2.2.4-3), fp-utils, imagemagick
Vcs-Svn: https://bollin.googlecode.com/svn/lazarus/trunk
Vcs-Browser: http://bollin.googlecode.com/svn/lazarus/trunk
Homepage: http://www.lazarus.freepascal.org

Package: lazarus
Architecture: all
Depends: ${misc:Depends}, lazarus-ide (>= ${source:Version}), lazarus-src (>= ${source:Version}), lazarus-doc (>= ${source:Version})
Recommends: fpc, fpc-source
Suggests: fp-utils, fp-docs
Description: IDE for Free Pascal - Meta Package
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal. Free Pascal is a (L)GPL'ed Pascal and Object Pascal compiler that runs
 on Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus 
 Component Library (LCL).
 .
 This is a metapackage depending on all packages need to have a typical
 Lazarus installation.
 .
 Official: http://sourceforge.net/projects/lazarus/
 .
 Tutorials: http://lazarus-ccr.sourceforge.net

Package: lazarus-src
Architecture: all
Depends: ${misc:Depends}
Suggests: lazarus-ide
Description: IDE for Free Pascal - LCL Sources Code
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal. Free Pascal is a (L)GPL'ed Pascal and Object Pascal compiler that runs
 on Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus 
 Component Library (LCL).
 .
 This package contains lazarus source code necessary for the IDE code tool to
 run (retrieving declarations and navigating in code).

Package: lazarus-ide
Architecture: i386 powerpc sparc amd64 armel
Depends: ${misc:Depends}, ${shlibs:Depends}, fp-compiler, lazarus-src, lazarus-ide-gtk | lazarus-ide-qt
Recommends: fpc, lcl, gdb
Suggests: fp-utils
Description: IDE for Free Pascal - Common IDE files
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal. Free Pascal is a (L)GPL'ed Pascal and Object Pascal compiler that runs
 on Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus 
 Component Library (LCL).
 .
 This package contains the commons files required to run lazarus IDE.

Package: lazarus-ide-gtk2
Architecture: i386 powerpc sparc amd64 armel
Depends: ${misc:Depends}, ${shlibs:Depends}, lazarus-ide
Recommends: fpc, lcl, gdb
Suggests: fp-utils
Provides: lazarus-ide-gtk
Breaks: lazarus-ide (<= 0.9.28.2-2)
Replaces: lazarus-ide (<= 0.9.28.2-2)
Description: IDE for Free Pascal - IDE build on top of GTK+ backend
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal. Free Pascal is a (L)GPL'ed Pascal and Object Pascal compiler that runs
 on Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus 
 Component Library (LCL).
 .
 This package contains the lazarus IDE build on top of GTK+ backend.

Package: lazarus-ide-qt4
Architecture: i386 powerpc sparc amd64 armel
Depends: ${misc:Depends}, ${shlibs:Depends}, lazarus-ide, lazarus-ide-gtk
Recommends: fpc, lcl, gdb
Suggests: fp-utils
Provides: lazarus-ide-qt
Breaks: lazarus-ide (<= 0.9.28.2-2)
Replaces: lazarus-ide (<= 0.9.28.2-2)
Description: IDE for Free Pascal - IDE build on top of QT backend
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal. Free Pascal is a (L)GPL'ed Pascal and Object Pascal compiler that runs
 on Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus 
 Component Library (LCL).
 .
 This package will contain the lazarus IDE build on top of QT backend, however
 for now it just depends on gtk based IDE.

Package: lcl
Architecture: i386 powerpc sparc amd64 armel
Depends: ${misc:Depends}, ${shlibs:Depends}, lcl-units, lcl-utils
Recommends: fpc, lazarus-ide
Suggests: gdb
Breaks: lazarus-ide (<= 0.9.28.2-2)
Replaces: lazarus-ide (<= 0.9.28.2-2)
Description: Lazarus Components Library - LCL metapackage
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal. Free Pascal is a (L)GPL'ed Pascal and Object Pascal compiler that runs
 on Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus 
 Component Library (LCL).
 .
 This is a metapackage to ease installing the LCL and components.

Package: lcl-utils
Architecture: i386 powerpc sparc amd64 armel
Depends: ${misc:Depends}, ${shlibs:Depends}, fp-compiler
Recommends: lcl, lazarus-ide
Breaks: lazarus-ide (<= 0.9.28.2-2)
Replaces: lazarus-ide (<= 0.9.28.2-2)
Description: Lazarus Components Library - Command Line build tools
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal. Free Pascal is a (L)GPL'ed Pascal and Object Pascal compiler that runs
 on Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus 
 Component Library (LCL).
 .
 This package contains command line tools to ease building LCL applications.

Package: lcl-units
Architecture: i386 powerpc sparc amd64 armel
Depends: ${misc:Depends}, ${shlibs:Depends}, ${fpc-abi:Depends}, lcl-gtk2 | lcl-gtk | lcl-qt
Recommends: lazarus-ide, fpc
Suggests: gdb
Provides: lcl-${source:Upstream-Version}, lcl-${source:Version}
Breaks: lazarus-ide (<= 0.9.28.2-2)
Replaces: lazarus-ide (<= 0.9.28.2-2)
Description: Lazarus Components Library - Backend independent components
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal. Free Pascal is a (L)GPL'ed Pascal and Object Pascal compiler that runs
 on Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus 
 Component Library (LCL).
 .
 This package contains the LCL and components.

Package: lcl-nogui
Architecture: i386 powerpc sparc amd64 armel
Depends: ${misc:Depends}, ${shlibs:Depends}, ${fpc-abi:Depends}, fp-units-rtl, fp-units-base, fp-units-fcl
Recommends: lazarus-ide, fpc
Suggests: gdb
Breaks: lazarus-ide (<= 0.9.28.2-2)
Replaces: lazarus-ide (<= 0.9.28.2-2)
Description: Lazarus Components Library - No GUI backend
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal. Free Pascal is a (L)GPL'ed Pascal and Object Pascal compiler that runs
 on Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus 
 Component Library (LCL).
 .
 This package contains the LCL and components no GUI based backend for command
 line tools and non graphical applications.

Package: lcl-gtk2
Architecture: i386 powerpc sparc amd64 armel
Depends: ${misc:Depends}, ${shlibs:Depends}, ${fpc-abi:Depends}, fp-units-rtl, fp-units-base, fp-units-fcl, fp-units-gtk2
Recommends: lazarus-ide, fpc
Suggests: gdb
Provides: lcl-gtk
Breaks: lazarus-ide (<= 0.9.28.2-2)
Replaces: lazarus-ide (<= 0.9.28.2-2)
Description: Lazarus Components Library - GTK+ backend
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal. Free Pascal is a (L)GPL'ed Pascal and Object Pascal compiler that runs
 on Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for Lazarus

DEB_DH_BUILDDEB_ARGS := -- -Z bzip2
export DH_ALWAYS_EXCLUDE := COPYING:LICENSE
export LANG:=C

# Documentation type to use chm/html
ifeq (${DEBDOCTYPE},)
DOCTYPE=html
# HTML Converter chmdocs or htmldocs for (default)
CONVERTER=${DOCTYPE}docs
else
DOCTYPE=${DEBDOCTYPE}
CONVERTER=${DOCTYPE}docs
endif
# Define FPC
ifndef FPC
FPC=/usr/bin/fpc
endif
# Set FPCVER
FPCVER=$(shell ${FPC} -iV)

FPCTARGET=$(CPU_TARGET)-linux
# Get version information from changelog file
DEB_VERSION:=$(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
DEB_UPSTREAM_VERSION:=$(shell echo $(DEB_VERSION) | cut -f 1 -d -)
DEB_UPSTREAM_MAIN_VERSION:=$(shell echo ${DEB_UPSTREAM_VERSION} | sed -e 's/^\([0-9\.]*\).*/\1/')
# Get directories
CURDIR:=$(shell pwd)
BUILD_DIR=$(CURDIR)/debian/build
INSTALL_DIR=$(CURDIR)/debian/tmp
DOC_DIR=${INSTALL_DIR}/usr/share/doc/lazarus/${DEB_UPSTREAM_MAIN_VERSION}
SRC_DIR=$(INSTALL_DIR)/usr/lib/lazarus/${DEB_UPSTREAM_MAIN_VERSION}
# Get utils
ifndef MKDIR
MKDIR=mkdir -p
endif
ifndef CP
CP=cp -Rfpl
endif
RM:=rm -rf
ifndef LAZBUILD
LAZBUILD=${CURDIR}/lazbuild
endif
# Set default compilation options
BUILDOPTS=
INSTALLOPTS=INSTALL_PREFIX=$(INSTALL_DIR)/usr
# Get fpcmake from path if none is specified.
ifndef FPCMAKE
FPCMAKE=fpcmake
endif
# Define FPCDIR if it was not set
ifndef FPCDIR
export FPCDIR=/usr/share/fpcsrc/${FPCVER}
endif
# Configure patch system
include /usr/share/quilt/quilt.make

#export DH_VERBOSE=1

###################
# Clean
#

clean: patch configure clean-patched unpatch
	${RM} build-arch-stamp install-arch-stamp arrange-arch-stamp configure-stamp
	${RM} build-doc-stamp install-doc-stamp
	${RM} build-indep-stamp install-indep-stamp
	${RM} debian-files-stamp
	${RM} debian/files debian/docs debian/dirs debian/*.files debian/*.docs debian/*.examples debian/*.postinst debian/*.postrm
	${RM} .pc
	# Remove auto-generated version file.
	${RM} ide/version.inc
	# Remove auto-generated make files.
	find -name Makefile.fpc -execdir 'sh' '-c' '${RM} $$(basename {} .fpc)' ';'
	dh_clean 
clean-patched:
	@echo "--- Cleaning"
	dh_testdir
	dh_testroot
	${RM} lazarus startlazarus lazbuild
	$(MAKE) distclean ${BUILDOPTS}
	$(MAKE) -C docs/html clean
	find -regex '.*\.\(a\|o\|so\.*\|ppu\)' -delete


###################
# Debian files
#

debian-files: patch debian-files-stamp
debian-files-stamp:
	@echo "--- Creating/fixing *.install files"
	/bin/bash debian/fixdeb debian $(FPCTARGET) $(PPNEW)
	touch debian-files-stamp

###################
# Arch packages
#

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Remove auto-generated make files.
	find -name Makefile.fpc -execdir 'sh' '-c' '${RM} $$(basename {} .fpc)' ';'
	# Regenrate make files using fpcmake.
	${FPCMAKE} -r -Tall
	# Remove auto-generated version file.
	${RM} ide/version.inc
	# Add version.inc:
	echo \'$(DEB_VERSION)\' > ide/version.inc
	touch configure-stamp

build-arch: debian-files configure build-arch-stamp
build-arch-stamp:
	@echo "--- Building"
	dh_testdir
	$(MAKE) lcl packager/registration ideintf bigidecomponents examples $(BUILDOPTS)
	$(MAKE) bigide USESVN2REVISIONINC=0 $(BUILDOPTS)
	mv $(CURDIR)/lazarus $(CURDIR)/lazarus-gtk2
	$(MAKE) lazbuilder $(BUILDOPTS)
	$(MAKE) tools $(BUILDOPTS)
	touch build-arch-stamp

install-arch: build-arch install-arch-stamp
install-arch-stamp:
	@echo "--- Installing"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	# create all necessary directories
	install -d $(INSTALL_DIR)/usr/bin
	install -d $(INSTALL_DIR)/usr/lib/lazarus/${DEB_UPSTREAM_MAIN_VERSION}/tools
	# Install the IDE & its accessories
	${CP} -t $(INSTALL_DIR)/usr/lib/lazarus/${DEB_UPSTREAM_MAIN_VERSION} \
		$(CURDIR)/lazarus-gtk2 \
		$(CURDIR)/lazbuild \
		$(CURDIR)/startlazarus \
		$(CURDIR)/languages
	${CP} -t $(INSTALL_DIR)/usr/lib/lazarus/${DEB_UPSTREAM_MAIN_VERSION}/tools \
		$(CURDIR)/tools/lazres \
		$(CURDIR)/tools/lrstolfm \
		$(CURDIR)/tools/svn2revisioninc \
		$(CURDIR)/tools/updatepofiles
	# Install the library files
	find -regex '.*\.\(a\|o\|so\.*\|ppu\)' | xargs ${CP} --parents -t $(INSTALL_DIR)/usr/lib/lazarus/${DEB_UPSTREAM_MAIN_VERSION}
	# copy icons and menu entries for the GNOME menu
	install -d $(INSTALL_DIR)/usr/share/pixmaps
	install -d $(INSTALL_DIR)/usr/share/applications
	convert -geometry 32x32 $(CURDIR)/images/ide_icon48x48.png $(INSTALL_DIR)/usr/share/pixmaps/lazarus.xpm
	chmod 644 $(INSTALL_DIR)/usr/share/pixmaps/*.xpm
	install -m 644 $(CURDIR)/install/lazarus.desktop $(INSTALL_DIR)/usr/share/applications/lazarus.desktop
	# Install man pages
	$(MAKE) -C install/man installman $(INSTALLOPTS) INSTALL_PREFIX=$(INSTALL_DIR)/usr/share
	# Install configuration files
	${MKDIR} $(INSTALL_DIR)/etc/lazarus
	fpcsubst -d LazarusVersion=${DEB_UPSTREAM_MAIN_VERSION} -i ${CURDIR}/tools/install/linux/environmentoptions.xml -o $(INSTALL_DIR)/etc/lazarus/environmentoptions.xml
	fpcsubst -d LazarusVersion=${DEB_UPSTREAM_MAIN_VERSION} -i ${CURDIR}/tools/install/linux/helpoptions.xml -o $(INSTALL_DIR)/etc/lazarus/helpoptions.xml
	# Install contributer list
	install -d $(INSTALL_DIR)/usr/lib/lazarus/${DEB_UPSTREAM_MAIN_VERSION}/docs
	${CP} -t $(INSTALL_DIR)/usr/lib/lazarus/${DEB_UPSTREAM_MAIN_VERSION}/docs \
		$(CURDIR)/docs/Contributors.txt \
		$(CURDIR)/docs/contributors.utf8 \
		$(CURDIR)/docs/acknowledgements.txt
	# Install lintian override files
	set -x; cd debian/overrides ; for PACKAGE in * ; do \
	  if [ -d ../$${PACKAGE} ] ; \
	  then \
	    install -m644 -D $${PACKAGE} \
	      ../$${PACKAGE}/usr/share/lintian/overrides/$${PACKAGE} ; \
	  fi ; \
	done
	find ${INSTALL_DIR} -empty -delete
	touch install-arch-stamp

arrange-arch: install-arch arrange-arch-stamp
arrange-arch-stamp:
	dh_testdir
	dh_testroot
	dh_install -s --sourcedir=debian/tmp --list-missing
	touch arrange-arch-stamp

build-indep: patch
install-indep:
	touch install-indep-stamp

###################
# Documentation
#

build-doc: patch debian-files build-doc-stamp
build-doc-stamp:
	@echo "--- Building Documentation"
	dh_testdir
	$(MAKE) -C docs/html ${CONVERTER}
	touch build-doc-stamp

install-doc: build-doc install-doc-stamp
install-doc-stamp:
	@echo "--- Installing Documentation"
	dh_testdir
	dh_testroot
	dh_prep
	${MAKE} -C docs/html ${DOCTYPE}install INSTALL_PREFIX=${INSTALL_DIR}/usr INSTALL_DOCDIR=${DOC_DIR}
	cd docs ; ${CP} --parents -t ${DOC_DIR} \
	  index.html \
	  images/laztitle.png
	find ${DOC_DIR} -empty -delete
	touch install-doc-stamp

###################
# Source
#

install-source: install-source-stamp
install-source-stamp:
	@echo "--- Cleaning the tree and copying the source code"
	dh_testdir
	dh_testroot
	${MKDIR} ${SRC_DIR}
	${CP} -t ${SRC_DIR} \
		$(CURDIR)/Makefile* \
		$(CURDIR)/components \
		$(CURDIR)/converter \
		$(CURDIR)/debugger \
		$(CURDIR)/designer \
		$(CURDIR)/doceditor \
		$(CURDIR)/examples \
		$(CURDIR)/ide \
		$(CURDIR)/ideintf \
		$(CURDIR)/images \
		$(CURDIR)/lcl \
		$(CURDIR)/packager \
		$(CURDIR)/test \
		$(CURDIR)/tools
	find ${SRC_DIR} -regex '.*\.\(bmp\|jpg\|png\|xpm\)' -delete
	$(RM) ${SRC_DIR}/components/lazreport/license*.txt
	find ${SRC_DIR} -empty -delete
	touch install-source-stamp

###################
# Generic
#

build: build-arch build-indep
install: install-arch install-indep
binary: binary-arch binary-indep


###################
# Deb building
#

binary-indep: clean-patched build-doc install-doc install-source debian-files
	@echo "--- Building: arch-indep packages"
	dh_testdir
	dh_testroot
	dh_installdocs -i -X.in
	dh_installchangelogs -i
	dh_install -i --sourcedir=debian/tmp --list-missing
	# Install lintian override files
	set -x; cd debian/overrides ; for PACKAGE in * ; do \
	  if [ -d ../$${PACKAGE} ] ; \
	  then \
	    install -m644 -D $${PACKAGE} \
	      ../$${PACKAGE}/usr/share/lintian/overrides/$${PACKAGE} ; \
	  fi ; \
	done
	dh_compress -i -X.pdf
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i $(DEB_DH_BUILDDEB_ARGS)

binary-arch: arrange-arch

=== debian/watch ===
version=3
http://sf.net/lazarus/lazarus-(.*).tar.gz debian debian/orig-tar.sh
